GET https://api.cryptohopper.com/v1/market/signals/{signal_id}/distribution

Returns how many buy signals of a signal provider in the past 7 days reached each highest-profit range.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/distribution" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
signal_id string Required Signal provider ID.

Response

Example response (illustrative values)

{
    "data": {
        "<= 0%": 3,
        "0% - 1%": 10,
        "1% - 2%": 8,
        "2% - 3%": 5,
        "3% - 4%": 2,
        "4% - 5%": 1,
        "5% - 6%": 0,
        "6% - 7%": 0,
        "7% - 8%": 1,
        "8% - 9%": 0,
        "9% - 10%": 0,
        "10% +": 1
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.